# Uses of Class
javax.help.Map.ID

Packages that use Map.ID
Package
Description
javax.help
Supports presentation of online documentation with both content and contextual views of this information.
javax.help.event
Supports event changes in JavaHelp classes.
javax.help.plaf.basic

## Uses of Map.ID in javax.help

Methods in javax.help that return Map.ID
Modifier and Type
Method
Description
`static Map.ID`
Map.ID.`create(String id, HelpSet hs)`
A location within a HelpSet.
`Map.ID`
TOCView.`getCategoryClosedImageID()`
Returns the default category closed image ID.
`Map.ID`
TOCView.`getCategoryOpenImageID()`
Returns the default category open image ID.
`Map.ID`
FlatMap.`getClosestID(URL url)`
Determines the ID that is "closest" to this URL (with a given anchor).
`Map.ID`
Map.`getClosestID(URL url)`
Determines the ID that is "closest" to this URL (with a given anchor).
`Map.ID`
TryMap.`getClosestID(URL url)`
Determines the ID that is "closest" to this URL (with a given anchor).
`Map.ID`
DefaultHelpBroker.`getCurrentID()`
Determines which ID is displayed (if any).
`Map.ID`
DefaultHelpModel.`getCurrentID()`
Gets the current ID.
`Map.ID`
HelpBroker.`getCurrentID()`
Determines The currently displayed ID (if any).
`Map.ID`
HelpModel.`getCurrentID()`
Gets the current ID.
`Map.ID`
Presentation.`getCurrentID()`
Determines which ID is displayed (if any).
`Map.ID`
ServletHelpBroker.`getCurrentID()`
Determines which ID is displayed (if any).
`Map.ID`
HelpSet.`getHomeID()`
Returns the ID to visit when the user makes a "go home" gesture.
`Map.ID`
TreeItem.`getID()`
Returns the ID for the item.
`Map.ID`
FlatMap.`getIDFromURL(URL url)`
Gets the ID for this URL.
`Map.ID`
Map.`getIDFromURL(URL url)`
Determines the ID for this URL.
`Map.ID`
TryMap.`getIDFromURL(URL url)`
Determines the ID for this URL.
`Map.ID`
HelpSet.Presentation.`getImageID()`
`Map.ID`
NavigatorView.`getImageID()`
Returns Map ID of icons passed to this View.
`Map.ID`
TOCItem.`getImageID()`
Returns the image for this TOCItem.
`Map.ID`
TOCView.`getTopicImageID()`
Returns the topic image ID.
Methods in javax.help with parameters of type Map.ID
Modifier and Type
Method
Description
`protected void`
DefaultHelpModel.`fireIDChanged(Object source, Map.ID id, URL url)`
`protected void`
DefaultHelpModel.`fireIDChanged(Object source, Map.ID id, URL url, String historyName, JHelpNavigator navigator)`
`URL`
FlatMap.`getURLFromID(Map.ID iden)`
Gets the URL that corresponds to a given ID in the map.
`URL`
Map.`getURLFromID(Map.ID id)`
Gets the URL that corresponds to a given ID in the Map.
`URL`
TryMap.`getURLFromID(Map.ID id)`
Gets the URL that corresponds to a given ID in the Map.
`void`
DefaultHelpBroker.`setCurrentID(Map.ID id)`
Displays this ID--HelpVisitListeners are notified.
`void`
DefaultHelpModel.`setCurrentID(Map.ID ident)`
Sets the current ID.
`void`
DefaultHelpModel.`setCurrentID(Map.ID ident, String historyName, JHelpNavigator navigator)`
Sets the current ID relative to some HelpSet HelpModelListeners and HelpVisitListeners are notified
`void`
HelpBroker.`setCurrentID(Map.ID id)`
Displays this ID.
`void`
HelpModel.`setCurrentID(Map.ID id)`
Sets the current ID relative to some HelpSet HelpModelListeners and HelpVisitListeners are notified
`void`
HelpModel.`setCurrentID(Map.ID id, String historyName, JHelpNavigator navigator)`
Sets the current ID relative to some HelpSet HelpModelListeners and HelpVisitListeners are notified
`void`
JHelp.`setCurrentID(Map.ID id)`
Visits a given ID.
`void`
JHelp.`setCurrentID(Map.ID id, String historyName, JHelpNavigator navigator)`
Visits a given ID.
`void`
JHelpContentViewer.`setCurrentID(Map.ID id)`
Visits a given ID.
`void`
Presentation.`setCurrentID(Map.ID id)`
Displays this ID--HelpVisitListeners are notified.
`void`
ServletHelpBroker.`setCurrentID(Map.ID id)`
Displays this ID--HelpVisitListeners are notified.
`void`
TreeItem.`setID(Map.ID id)`
Set the ID for the item.
`void`
DefaultHelpBroker.`showID(Map.ID id, String presentation, String presentationName)`
Show this ID.
`void`
HelpBroker.`showID(Map.ID id, String presentation, String presentationName)`
Displays this ID in a given presentation
`void`
ServletHelpBroker.`showID(Map.ID id, String presentation, String presentationName)`
Constructors in javax.help with parameters of type Map.ID
Modifier
Constructor
Description
``
`IndexItem(Map.ID id, Locale locale)`
Create an IndexItem defaulting the HelpSet to that of its ID.
``
`IndexItem(Map.ID id, HelpSet hs, Locale locale)`
Create an IndexItem.
``
`Presentation(String name, boolean displayViews, boolean displayViewImages, Dimension size, Point location, String title, Map.ID imageID, boolean toolbar, Vector helpActions)`
``
`SearchTOCItem(Map.ID id, Map.ID imageID, HelpSet hs, Locale locale)`
``
`TOCItem(Map.ID id, Map.ID imageID, Locale locale)`
Creates a TOCItem with a default HelpSet based on its ID.
``
`TOCItem(Map.ID id, Map.ID imageID, HelpSet hs, Locale locale)`
Creates a TOCItem.
``
`TreeItem(Map.ID id, Locale locale)`
Creates a TreeItem.
``
`TreeItem(Map.ID id, HelpSet hs, Locale locale)`
Create an TreeItem.

## Uses of Map.ID in javax.help.event

Methods in javax.help.event that return Map.ID
Modifier and Type
Method
Description
`Map.ID`
HelpModelEvent.`getID()`
Returns the current ID in the HelpModel.
Constructors in javax.help.event with parameters of type Map.ID
Modifier
Constructor
Description
``
`HelpModelEvent(Object source, Map.ID id, URL url)`
Represents a change in the JavaHelp in the current ID or URL.
``
`HelpModelEvent(Object source, Map.ID id, URL url, String historyName, JHelpNavigator navigator)`
Represents a change in the JavaHelp in the current ID or URL.

## Uses of Map.ID in javax.help.plaf.basic

Fields in javax.help.plaf.basic declared as Map.ID
Modifier and Type
Field
Description
`protected Map.ID`
BasicFavoritesNavigatorUI.FavoritesTree.`selectedID`